Subject: Re: [PATCH] net: usb: asix: fill null-ptr-deref in asix_suspend

From: Oliver Neukum <[email-masked]>
Date: Mon, 06 Nov 2017 17:32:57 +0100

Am Montag, den 06.11.2017, 17:05 +0100 schrieb Andrey Konovalov:
> On Mon, Nov 6, 2017 at 4:20 PM, Oliver Neukum <[email-masked]> wrote:
> > 

> I do have a way to reproduce this.
> 
> As far as I understand, for this particular device ax88172_bind() is
> called, which doesn't assign anything to dev->driver_priv, so that's
> why it is NULL in suspend() and resume().

Thanks and ouch. That means it never worked for those devices.
That makes this a rather serious bug and your fix is right.

	Regards
		Oliver